/*
 * Copyright 2003 - 2010 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 5195 $
 * Last Changed:    $Date: 2010-08-07 11:50:15 -0500 (Sat, 07 Aug 2010) $
 * Last Changed By: $Author: jan.moxter $
 */


package org.efaps.db.search.value;

import org.efaps.db.AbstractObjectQuery;
import org.efaps.db.search.AbstractQPart;
import org.efaps.util.EFapsException;


/**
 * Value is in comparasion.
 *
 * @author The eFaps Team
 * @version $Id: AbstractQValue.java 5195 2010-08-07 16:50:15Z jan.moxter $
 */
public abstract class AbstractQValue
    extends AbstractQPart
{
    /**
     * {@inheritDoc}
     */
    @Override
    public AbstractQPart prepare(final AbstractObjectQuery<?> _query,
                                 final AbstractQPart _part)
        throws EFapsException
    {
        return this;
    }
}
