/*
 * Copyright 2003 - 2010 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 5416 $
 * Last Changed:    $Date: 2010-08-26 10:40:27 -0500 (Thu, 26 Aug 2010) $
 * Last Changed By: $Author: jan.moxter $
 */


package org.efaps.db.search.value;

import org.efaps.db.wrapper.SQLPart;
import org.efaps.db.wrapper.SQLSelect;

/**
 * TODO comment!
 *
 * @author The eFaps Team
 * @version $Id: QNullValue.java 5416 2010-08-26 15:40:27Z jan.moxter $
 */
public class QNullValue
    extends AbstractQValue
{
    /**
     * {@inheritDoc}
     */
    @Override
    public QNullValue appendSQL(final SQLSelect _sql)
    {
        _sql.addPart(SQLPart.NULL);
        return this;
    }
}
